---
# Get already running instances
- name: Get deployed server information
  delegate_to: localhost
  openstack.cloud.server_info:
    auth: "{{ _openstack_project_auth }}"
    server: "{{ inventory_hostname }}"
  register: openstack_instance

- name: Showing remove actions
  debug:
    msg: "Removing instance: {{ inventory_hostname }}"
  when: openstack_instance.openstack_servers | length == 1

- name: Verify removal
  run_once: true
  delegate_to: localhost
  when:
    - force_removal is not defined or (not force_removal | default(true) | bool)
  block:
    - name: create pincode
      set_fact:
        pincode: "{{ '%04d' % 9999 | random }}"

    - name: Ask confirmation for removal
      pause:
        prompt: "Retype the pincode ({{ pincode }})
        if you really want to remove these instances"
      register: confirmation

    - name: Abort remove
      fail:
        msg: You entered an incorrect pincode, aborting playbook
      when:
        - confirmation.user_input is defined
        - confirmation.user_input != pincode

# Remove these instances
- name: Remove Openstack instances
  delegate_to: localhost
  openstack.cloud.server:
    auth: "{{ _openstack_project_auth }}"
    name: "{{ openstack_instance.openstack_servers[0].id }}"
    state: absent
  when:
    - openstack_instance.openstack_servers | length == 1
...
